/*************************************************************************/
/* Title : APIC22 Asynchronous DPRAM Interface Sample Circuit            */
/*                                                                       */
/*      Language         :Verilog-HDL                                    */
/*      Module           :lb_pad.v                                       */
/*      Description      :Local Bus PAD Module                           */
/*                                                                       */
/*      Note : gpfoCXI/Oobt@NbNobt@}    */
/*             ĂB                                            */
/*                                                                       */
/*                                      ADTEK System Science Co.,Ltd.    */
/*                                      URL   :http://www.adtek.co.jp    */
/*                                      E-mail:apic22@adtek.co.jp        */
/*                                      Last Update:2001/12/10           */
/*************************************************************************/

`include "adpif_define.v"

module lb_pad (
			// External Signals
			LB_LAD,
			LB_XLFRAME,
			LB_MXIO,
			LB_RXW,
			LB_XLRDY,
			LB_XLRESET,
			LB_LCLK,
			// Internal Signals
			LAD,
			XLFRAME,
			M_XIO,
			R_XW,
			XLRDY,
			XLRDY_OE,
			XLRESET,
			LCLK
			) ;

/* External Signals */
input	[`DEF_LBA-1:0]	LB_LAD ;// from Ext. Local Address
input			LB_XLFRAME ;	// from Ext. LFRAME#
input			LB_MXIO ;		// from Ext. M/IO#
input			LB_RXW ;		// from Ext. R/W#
output			LB_XLRDY ;		// to Ext. LRDY#
input			LB_XLRESET ;	// from Ext. LRESET#
input			LB_LCLK ;		// from Ext. LCLK

/* Internal Signals */
output	[`DEF_LBA-1:0]	LAD ;	// to Int. Local Address
output			XLFRAME ;		// to Int. LFRAME#
output			M_XIO ;			// to Int. M/IO#
output			R_XW ;			// to Int. R/W#
input			XLRDY ;			// from Int. LRDY#
input			XLRDY_OE ;		// LRDY# Output Enable(0:Enable/1:Disable)
output			XLRESET ;		// to Int. LRESET#
output			LCLK ;			// to Int. LCLK


/* Device Specific I/O Buffer Module Instantiated [Begin] */




/* Device Specific I/O Buffer Module Instantiated [End] */


endmodule
